#! /bin/bash


VGEMUSRC=/vgemusrc
VGEMURUN=/vgemurun

red='\e[1;31m'
yellow='\e[1;33m'
green='\e[1;32m'
blue='\e[1;34m'
NC='\e[0m'

aptitude update
aptitude -y install gcc g++ make subversion libmysqlclient-dev

svn co https://svn.vgoemulator.net/svn/vgoemulator $VGEMUSRC --username anonymous

cd $VGEMUSRC/trunk/src/world
make

mkdir -p $VGEMURUN
cp -fp vgemu-world $VGEMURUN
cp -fp $VGEMUSRC/trunk/conf/vgemu-world.xml $VGEMURUN
cp -fp $VGEMUSRC/trunk/conf/vgemu-structs.xml $VGEMURUN
cp -fp $VGEMUSRC/trunk/bin/world/generic.lua $VGEMURUN

echo -e "${green}Done!${NC}"
echo -e "${yellow}Now you need to create your MySQL Database and import the ${blue}$VGEMUSRC/trunk/conf/vgo_world.sql ${yellow}file into it.${NC}"
echo -e "${yellow}Also you will need to edit the ${blue}$VGEMURUN/vgemu-world.xml ${yellow}to match your user/server identities from ${green}http://vgoemulator.net${NC}"
echo -e "${yellow}After that, just run the binary ${blue}$VGEMURUN/vgemu-world${NC}"
echo -e "${yellow}If needed, you can find an init script here : ${green}http://vgoemulator.net/phpBB3/viewforum.php?f=30${NC}"
echo -e "${red}Enjoy!${NC}"
